<?php
class ActividadesDocumentoSectorModel extends Query{
    public function __construct()
    {
        parent::__construct();
    }
    private $codigoDocumentoSector, $codigoActividad,$tipoDocumentoSector;

    public function insertActividadDocumentoSector(int $codigoDocumentoSector,int $codigoActividad,string $tipoDocumentoSector)
    {
        $this->codigoDocumentoSector = $codigoDocumentoSector;
        $this->codigoActividad = $codigoActividad;
        $this->tipoDocumentoSector = $tipoDocumentoSector;
        $sql = "insert into slistaactividadesdocumentosector (codigoDocumentoSector,codigoActividad,tipoDocumentoSector) values (?,?,?)";
        $datos = array($this->codigoDocumentoSector,$this->codigoActividad,$this->tipoDocumentoSector);
        $data=$this->save($sql,$datos);
        if($data == 1){
            $res = 1;
        }else{
            $res = 0;
        }
        return $res;
    }

    public function getActividadesDocumentoSector()
    {
        $sql = "select * from slistaactividadesdocumentosector";
        $data = $this->selectAll($sql);
        return $data;
    }
    
    public function getActividadDocumentoSector(int $codigoDocumentoSector)
    {
        $this->codigoDocumentoSector=$codigoDocumentoSector;
        $sql = "select * from slistaactividadesdocumentosector where codigoDocumentoSector=".$this->codigoDocumentoSector;
        
        $data = $this->select($sql);
        return $data;
    }

    public function updateActividadDocumentoSector(int $codigoDocumentoSector,int $codigoActividad, string $tipoDocumentoSector){
        $this->codigoDocumentoSector = $codigoDocumentoSector;
        $this->codigoActividad = $codigoActividad;
        $this->tipoDocumentoSector = $tipoDocumentoSector;
        $sql="update slistaactividadesdocumentosector
        set codigoActividad = ? , tipoDocumentoSector = ? where codigoDocumentoSector=?";
        $datos = array($this->codigoActividad,$this->tipoDocumentoSector,$this->codigoDocumentoSector);
        $data=$this->save($sql,$datos);
        if($data==1){
            $res=1;
        }else{
            $res=0;
        }
        return $res;        
    }

}
?>